<template>
  <lazy-theme-desktop-main-home
    v-if="['desktop/main', 'desktop/global'].includes(theme)"
  />
  <lazy-theme-desktop-playful-home v-else-if="theme === 'desktop/playful'" />
  <lazy-theme-mobile-playful-home v-else-if="theme === 'mobile/playful'" />
  <lazy-theme-desktop-black-home v-else-if="theme === 'desktop/black'" />
  <lazy-theme-desktop-pure-home v-else-if="theme === 'desktop/pure'" />
  <lazy-theme-mobile-pure-home v-else-if="theme === 'mobile/pure'" />
  <lazy-theme-mobile-modern-home v-else-if="theme === 'mobile/modern'" />
  <lazy-theme-desktop-modern-home v-else-if="theme === 'desktop/modern'" />
  <lazy-theme-desktop-china-home v-else-if="theme === 'desktop/china'" />
  <lazy-theme-mobile-china-home v-else-if="theme === 'mobile/china'" />
  <lazy-theme-desktop-sbo-home v-else-if="theme === 'desktop/sbo'" />
  <lazy-theme-desktop-cool88-home v-else-if="theme === 'desktop/cool88'" />
  <lazy-theme-desktop-bk8-home v-else-if="theme === 'desktop/bk8'" />
  <lazy-theme-mobile-black-home v-else-if="theme === 'mobile/black'" />
  <lazy-theme-mobile-sbo-home v-else-if="theme === 'mobile/sbo'" />
  <lazy-theme-mobile-main-sport-2
    v-else-if="theme === 'mobile/main' && themeColor?.Text === 'bk8_green'"
  />
  <lazy-theme-mobile-main-home-2 v-else-if="theme === 'mobile/main'" />
  <lazy-theme-mobile-main-home-2 v-else-if="theme === 'mobile/global'" />
  <lazy-theme-desktop-peru-home v-else-if="theme.includes('/peru')" />
  <lazy-theme-common-landing v-else-if="theme.includes('/landing')" />
</template>
<script lang="ts" setup>
import themePropertyHelper from "~~/utils/themePropertyHelper";
defineProps({
  theme: {
    type: String,
    default: "",
  },
});
const { themeColor } = themePropertyHelper;
</script>

<style lang="scss">
@import "@/assets/styles/mobile/layoutv2.scss";
</style>
